#
# spec file for package ttf-arphic (Version 20001125)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ttf-arphic
License:        Other License(s), see package
Group:          System/X11/Fonts
PreReq:         %suseconfig_fonts_prereq
Autoreqprov:    on
Version:        20001125
Release:        603.2
URL:            http://www.arphic.com.tw/
# ttf files have been downloaded from debian.
Source0:        ttf-arphic.tar.bz2
Source1:        fonts.scale.bkai00mp
Source2:        fonts.scale.bsmi00lp
Source3:        fonts.scale.gkai00mp
Source4:        fonts.scale.gbsn00lp
BuildArchitectures: noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Chinese TrueType fonts by Arphic Technology (only the license text is present in this package)

%description
Chinese TrueType fonts by Arphic Technology. This package contains only
the license texts. The fonts themselves are in the sub-packages
ttf-arphic-bkai00mp, ttf-arphic-bsmi00lp, ttf-arphic-gkai00mp, and
ttf-arphic-gbsn00lp.



Authors:
--------
    Arphic Technology Co., Ltd. <webmaster@www.arphic.com.tw>

%debug_package
%package -n ttf-arphic-bkai00mp
Group:          System/X11/Fonts
Provides:       scalable-font-zh-TW
Provides:       locale(zh_TW;zh_HK)
Requires:       ttf-arphic
Summary:        AR PL KaitiM Big5 Chinese TrueType font by Arphic Technology

%description -n ttf-arphic-bkai00mp
AR PL KaitiM Big5 is a high quality Chinese TrueType font
(bkai00mp.ttf) generously provided by Arphic Technology to the Free
Software community under the Arphic Public License.



Authors:
--------
    Arphic Technology Co., Ltd. <webmaster@www.arphic.com.tw>

%package -n ttf-arphic-bsmi00lp
Group:          System/X11/Fonts
Provides:       scalable-font-zh-TW
Provides:       locale(zh_TW;zh_HK)
Requires:       ttf-arphic
Summary:        AR PL Mingti2L Big5 Chinese TrueType font by Arphic Technology

%description -n ttf-arphic-bsmi00lp
AR PL Mingti2L Big5 is a high quality Chinese TrueType font
(bsmi00lp.ttf) generously provided by Arphic Technology to the Free
Software community under the Arphic Public License.



Authors:
--------
    Arphic Technology Co., Ltd. <webmaster@www.arphic.com.tw>

%package -n ttf-arphic-gkai00mp
Group:          System/X11/Fonts
Provides:       scalable-font-zh-CN
Provides:       locale(zh_CN;zh_SG)
Requires:       ttf-arphic
Summary:        AR PL KaitiM GB Chinese TrueType font by Arphic Technology

%description -n ttf-arphic-gkai00mp
AR PL KaitiM GB is a high quality Chinese TrueType font (gkai00mp.ttf)
generously provided by Arphic Technology to the Free Software community
under the Arphic Public License.



Authors:
--------
    Arphic Technology Co., Ltd. <webmaster@www.arphic.com.tw>

%package -n ttf-arphic-gbsn00lp
Group:          System/X11/Fonts
Provides:       scalable-font-zh-CN
Provides:       locale(zh_CN;zh_SG)
Requires:       ttf-arphic
Summary:        AR PL SungtiL GB Chinese TrueType font by Arphic Technology

%description -n ttf-arphic-gbsn00lp
AR PL SungtiL GB is a high quality Chinese TrueType font (gbsn00lp.ttf)
generously provided by Arphic Technology to the Free Software community
under the Arphic Public License.



Authors:
--------
    Arphic Technology Co., Ltd. <webmaster@www.arphic.com.tw>

%prep
%setup -n ttf-arphic
cp $RPM_SOURCE_DIR/fonts.scale* .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/
install -c -m 644 *.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype
install -c -m 644 fonts.scale.* \
                  $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/

%post -n ttf-arphic-bkai00mp
%run_suseconfig_fonts -c

%postun -n ttf-arphic-bkai00mp
%run_suseconfig_fonts -c

%post -n ttf-arphic-bsmi00lp
%run_suseconfig_fonts -c

%postun -n ttf-arphic-bsmi00lp
%run_suseconfig_fonts -c

%post -n ttf-arphic-gkai00mp
%run_suseconfig_fonts -c

%postun -n ttf-arphic-gkai00mp
%run_suseconfig_fonts -c

%post -n ttf-arphic-gbsn00lp
%run_suseconfig_fonts -c

%postun -n ttf-arphic-gbsn00lp
%run_suseconfig_fonts -c

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root,root)
%doc ./license

%files -n ttf-arphic-bkai00mp
%defattr(-, root,root)
%dir /usr/X11R6/lib/X11/fonts/truetype/
/usr/X11R6/lib/X11/fonts/truetype/bkai00mp.ttf
%config /usr/X11R6/lib/X11/fonts/truetype/fonts.scale.bkai00mp

%files -n ttf-arphic-bsmi00lp
%defattr(-, root,root)
%dir /usr/X11R6/lib/X11/fonts/truetype/
/usr/X11R6/lib/X11/fonts/truetype/bsmi00lp.ttf
%config /usr/X11R6/lib/X11/fonts/truetype/fonts.scale.bsmi00lp

%files -n ttf-arphic-gkai00mp
%defattr(-, root,root)
%dir /usr/X11R6/lib/X11/fonts/truetype/
/usr/X11R6/lib/X11/fonts/truetype/gkai00mp.ttf
%config /usr/X11R6/lib/X11/fonts/truetype/fonts.scale.gkai00mp

%files -n ttf-arphic-gbsn00lp
%defattr(-, root,root)
%dir /usr/X11R6/lib/X11/fonts/truetype/
/usr/X11R6/lib/X11/fonts/truetype/gbsn00lp.ttf
%config /usr/X11R6/lib/X11/fonts/truetype/fonts.scale.gbsn00lp

%changelog -n ttf-arphic
* Wed Mar 29 2006 - mfabian@suse.de
- add zh_SG to the provides for zh_CN and zh_HK to the provides
  for zh_TW.
* Tue Feb 28 2006 - zsu@suse.de
- add Provides: locale(zh_CN) or locale(zh_TW) to each sub package.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 03 2004 - mfabian@suse.de
- use new macro "%%run_suseconfig_fonts -c"
* Mon Sep 13 2004 - mfabian@suse.de
- Bugzilla #45156: add "Provides: scalable-font-zh-{CN,TW}"
  to the appropriate sub-packages.
* Fri Mar 19 2004 - mfabian@suse.de
- use %%suseconfig_fonts_prereq
- run SuSEconfig.ghostscript-cjk in %%post and %%postun
* Fri Feb 27 2004 - mfabian@suse.de
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Mon Feb 23 2004 - hmacht@suse.de
- added option # norootforbuild in specfile
* Fri Jun 13 2003 - mfabian@suse.de
- add %%dir /usr/X11R6/lib/X11/fonts/truetype/ to file lists
* Thu Mar 07 2002 - mfabian@suse.de
- make iso10646 entries in fonts.scale proportional '-c-' -> '-p-'
* Thu May 03 2001 - mfabian@suse.de
- remove %%post and %%postun, it is enough when SuSEconfig
  updates the font directory, better don't duplicate the code
  here.
- improve fonts.scale.*
* Thu Nov 30 2000 - mfabian@suse.de
- improved %%post and %%postun scripts. The previous version
  failed when this package was installed by autobuild into
  the buildsystem's chroot environment. I hope this is fixed now.
* Mon Nov 27 2000 - mfabian@suse.de
- mark fonts.scale* files as %%config files
* Mon Nov 27 2000 - mfabian@suse.de
- removed workaround in .spec file to prevent %%{?suse_check}
  from gzipping the fonts.scale.xtt-fonts file
  %%{?suse_check} works correctly now, this workaround is no longer
  needed.
- edited missing .pac files
* Sat Nov 25 2000 - mfabian@suse.de
- new package: ttf-arphic
